
Foreman - Refactor #35430

Tracker # 32684 (Closed): Ruby 3.0 support

Update as_deprecation_tracker to at least 1.6 for Ruby 3

08/25/2022 10:20 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Development tools   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9380

  

Description

Associated revisions

Revision 68eb5702 - 08/25/2022 05:05 PM - Ewoud Kohl van Wijngaarden

Fixes #35430 - Update as_deprecations_tracker for Ruby 3

History

#1 - 08/25/2022 10:24 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9380 added

#2 - 08/25/2022 05:05 PM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#3 - 08/25/2022 06:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|68eb570221c0737d4eaa547eeebf1a550057ee49.

#4 - 08/29/2022 10:25 AM - Ewoud Kohl van Wijngaarden

- Parent task set to #32684

#5 - 11/28/2022 12:27 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
